scanning with HP LaserJet Pro MFP m227fdw requires driver plug-in even though it should not

Bug #1727056 reported by Patrick Schleizer on 2017-10-24
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HPLIP
Undecided
Unassigned

Bug Description

http://hplipopensource.com/hplip-web/models/laserjet/hp_laserjet_mfp_m227-m231.html says "Driver plug-in" "None" and the footnote [8] '("No" or "None") A driver plug-in is not required nor available.'

hp-scan

HP Linux Imaging and Printing System (ver. 3.16.11)
Scan Utility ver. 2.2

Copyright (c) 2001-15 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

warning: No destinations specified. Adding 'file' destination by default.
Using device hpaio:/net/HP_LaserJet_MFP_M227-M231?ip=192.168.0.6
Opening connection to device...
error: SANE: Error during device I/O (code=9)

hp-check[1073]: info: :
hp-check[1073]: info: :HP Linux Imaging and Printing System (ver. 3.16.11)
hp-check[1073]: info: :Dependency/Version Check Utility ver. 15.1
hp-check[1073]: info: :
hp-check[1073]: info: :Copyright (c) 2001-15 HP Development Company, LP
hp-check[1073]: info: :This software comes with ABSOLUTELY NO WARRANTY.
hp-check[1073]: info: :This is free software, and you are welcome to distribute it
hp-check[1073]: info: :under certain conditions. See COPYING file for more details.
hp-check[1073]: info: :
hp-check[1073]: info: :Note: hp-check can be run in three modes:
hp-check[1073]: info: :1. Compile-time check mode (-c or --compile): Use this mode before compiling the HPLIP supplied tarball (.tar.gz or .run) to determine if the proper
hp-check[1073]: info: :dependencies are installed to successfully compile HPLIP.
hp-check[1073]: info: :2. Run-time check mode (-r or --run): Use this mode to determine if a distro supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball has
hp-check[1073]: info: :the proper dependencies installed to successfully run.
hp-check[1073]: info: :3. Both compile- and run-time check mode (-b or --both) (Default): This mode will check both of the above cases (both compile- and run-time dependencies).
hp-check[1073]: info: :
hp-check[1073]: info: :Check types:
hp-check[1073]: info: :a. EXTERNALDEP - External Dependencies
hp-check[1073]: info: :b. GENERALDEP - General Dependencies (required both at compile and run time)
hp-check[1073]: info: :c. COMPILEDEP - Compile time Dependencies
hp-check[1073]: info: :d. [All are run-time checks]
hp-check[1073]: info: :PYEXT SCANCONF QUEUES PERMISSION
hp-check[1073]: info: :
hp-check[1073]: info: :Status Types:
hp-check[1073]: info: : OK
hp-check[1073]: info: : MISSING - Missing Dependency or Permission or Plug-in
hp-check[1073]: info: : INCOMPAT - Incompatible dependency-version or Plugin-version
hp-check[1073]: info: :
warning: 2-9.1 version is not supported. Using 2-8.6 versions dependencies to verify and install...
hp-check[1073]: info: :
hp-check[1073]: info: :---------------
hp-check[1073]: info: :| SYSTEM INFO |
hp-check[1073]: info: :---------------
hp-check[1073]: info: :
hp-check[1073]: info: : Kernel: 4.9.56-21.pvops.qubes.x86_64 #1 SMP Tue Oct 17 23:58:50 UTC 2017 GNU/Linux
 Host: private-print
 Proc: 4.9.56-21.pvops.qubes.x86_64 #1 SMP Tue Oct 17 23:58:50 UTC 2017 GNU/Linux
 Distribution: 2 9.1
hp-check[1073]: info: : Bitness: 64 bit

hp-check[1073]: info: :
hp-check[1073]: info: :-----------------------
hp-check[1073]: info: :| HPLIP CONFIGURATION |
hp-check[1073]: info: :-----------------------
hp-check[1073]: info: :
hp-check[1073]: info: :HPLIP-Version: HPLIP 3.16.11
hp-check[1073]: info: :HPLIP-Home: /usr/share/hplip
warning: HPLIP-Installation: Auto installation is not supported for 2 distro 9.1 version
hp-check[1073]: info: :
hp-check[1073]: info: :Current contents of '/etc/hp/hplip.conf' file:
hp-check[1073]: info: :# hplip.conf. Generated from hplip.conf.in by configure.

[hplip]
version=3.16.11

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/hplip/HP
ppdbase=/usr/share/ppd/hplip
doc=/usr/share/doc/hplip
html=/usr/share/doc/hplip-doc
icon=no
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv
bin=/usr/bin
apparmor=/etc/apparmor.d
# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=yes
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=yes
foomatic-drv-install=yes
foomatic-ppd-install=yes
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.16.11
restricted-build=no
ui-toolkit=qt5
qt3=no
qt4=no
qt5=yes
policy-kit=yes
lite-build=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no
apparmor_build=no

hp-check[1073]: info: :
hp-check[1073]: info: :Current contents of '/var/lib/hp/hplip.state' file:
hp-check[1073]: info: :Plugins are not installed. Could not access file: No such file or directory
hp-check[1073]: info: :
hp-check[1073]: info: :Current contents of '~/.hplip/hplip.conf' file:
hp-check[1073]: info: :[commands]
scan = /usr/bin/xsane -V %SANE_URI%

[fax]
email_address =
voice_phone =

[last_used]
device_uri = hpaio:/net/HP_LaserJet_MFP_M227-M231?ip=192.168.0.6
printer_name =
working_dir = .

[polling]
device_list =
enable = false
interval = 5

[refresh]
enable = false
rate = 30
type = 1

[settings]
systray_messages = 0
systray_visible = 0

[upgrade]
last_upgraded_time = 1508604309
notify_upgrade = false
pending_upgrade_time = 0

[installation]
date_time = 10/24/17 22:12:34
version = 3.16.11

hp-check[1073]: info: : <Package-name> <Package-Desc> <Required/Optional> <Min-Version> <Installed-Version> <Status> <Comment>
hp-check[1073]: info: :
hp-check[1073]: info: :---------------------
hp-check[1073]: info: :| Python Extentions |
hp-check[1073]: info: :---------------------
hp-check[1073]: info: :
hp-check[1073]: info: : hpmudext IO-Extension REQUIRED - 3.16.11 OK -
hp-check[1073]: info: : cupsext CUPS-Extension REQUIRED - 3.16.11 OK -
hp-check[1073]: info: :
hp-check[1073]: info: :------------------------
hp-check[1073]: info: :| General Dependencies |
hp-check[1073]: info: :------------------------
hp-check[1073]: info: :
hp-check[1073]: info: : cups-devel CUPS devel- Common Unix Printing System development files REQUIRED - 2.2.1 OK -
hp-check[1073]: info: : libpthread libpthread - POSIX threads library REQUIRED - b'2.24' OK -
hp-check[1073]: info: : sane SANE - Scanning library REQUIRED - - OK -
hp-check[1073]: info: : python3-xml Python XML libraries REQUIRED - 2.2.0 OK -
hp-check[1073]: info: : libcrypto libcrypto - OpenSSL cryptographic library REQUIRED - 1.1.0 OK -
hp-check[1073]: info: : cups-image CUPS image - CUPS image development files REQUIRED - 2.2.1 OK -
hp-check[1073]: info: : python3-pil PIL - Python Imaging Library (required for commandline scanning with hp-scan) OPTIONAL - 1.1.7 OK -
hp-check[1073]: info: : python3-notify2 Python libnotify - Python bindings for the libnotify Desktop notifications OPTIONAL - - OK -
hp-check[1073]: info: : libnetsnmp-devel libnetsnmp-devel - SNMP networking library development files REQUIRED 5.0.9 5.7.3 OK -
hp-check[1073]: info: : python3-reportlab Reportlab - PDF library for Python OPTIONAL 2.0 3.3.0 OK -
hp-check[1073]: info: : python3-dbus Python DBus - Python bindings for DBus REQUIRED 0.80.0 1.2.4 OK -
hp-check[1073]: info: : sane-devel SANE - Scanning library development files REQUIRED - - OK -
hp-check[1073]: info: : python3-pyqt4-dbus PyQt 4 DBus - DBus Support for PyQt4 OPTIONAL 4.0 4.11.4 OK -
hp-check[1073]: info: : python3-devel Python devel - Python development files REQUIRED 2.2 3.5.3 OK -
hp-check[1073]: info: : libusb libusb - USB library REQUIRED - 1.0 OK -
hp-check[1073]: info: : libjpeg libjpeg - JPEG library REQUIRED - - OK -
hp-check[1073]: info: : cups-ddk CUPS DDK - CUPS driver development kit OPTIONAL - - OK -
hp-check[1073]: info: : python3X Python 2.2 or greater - Python programming language REQUIRED 2.2 3.5.3 OK -
hp-check[1073]: info: : python3-pyqt4 PyQt 4- Qt interface for Python (for Qt version 4.x) REQUIRED 4.0 4.11.4 OK -
hp-check[1073]: info: :
hp-check[1073]: info: :-------------------------
hp-check[1073]: info: :| External Dependencies |
hp-check[1073]: info: :-------------------------
hp-check[1073]: info: :
hp-check[1073]: info: : xsane xsane - Graphical scanner frontend for SANE OPTIONAL 0.9 0.999 OK -
hp-check[1073]: info: : dbus DBus - Message bus system REQUIRED - 1.10.22 OK -
hp-check[1073]: info: : cups CUPS - Common Unix Printing System REQUIRED 1.1 2.2.1 OK 'CUPS Scheduler is running'
hp-check[1073]: info: : scanimage scanimage - Shell scanning program OPTIONAL 1.0 1.0.25 OK -
hp-check[1073]: info: : avahi-utils avahi-utils OPTIONAL - 0.6.32 OK -
hp-check[1073]: info: : network network -wget OPTIONAL - 1.18 OK -
hp-check[1073]: info: : gs GhostScript - PostScript and PDF language interpreter and previewer REQUIRED 7.05 9.20 OK -
hp-check[1073]: info: : policykit PolicyKit - Administrative policy framework OPTIONAL - 0.105 OK -
hp-check[1073]: info: :
hp-check[1073]: info: :----------------------
hp-check[1073]: info: :| Scan Configuration |
hp-check[1073]: info: :----------------------
hp-check[1073]: info: :
hp-check[1073]: info: :'/etc/sane.d/dll.d/hpaio' not found.
hp-check[1073]: info: : hpaio HPLIP-SANE-Backend REQUIRED - 3.16.11 OK 'hpaio found in /etc/sane.d/dll.conf'
hp-check[1073]: info: : scanext Scan-SANE-Extension REQUIRED - 3.16.11 OK -
hp-check[1073]: info: :
hp-check[1073]: info: :--------------
hp-check[1073]: info: :| COMPILEDEP |
hp-check[1073]: info: :--------------
hp-check[1073]: info: :
hp-check[1073]: info: : gcc gcc - GNU Project C and C++ Compiler REQUIRED - 6.3.0 OK -
hp-check[1073]: info: : libtool libtool - Library building support services REQUIRED - 2.4.6 OK -
hp-check[1073]: info: : make make - GNU make utility to maintain groups of programs REQUIRED 3.0 4.1 OK -
hp-check[1073]: info: :
hp-check[1073]: info: :------------------------------
hp-check[1073]: info: :| DISCOVERED SCANNER DEVICES |
hp-check[1073]: info: :------------------------------
hp-check[1073]: info: :
hp-check[1073]: info: :device `hpaio:/net/HP_LaserJet_MFP_M227-M231?ip=192.168.0.6' is a Hewlett-Packard HP_LaserJet_MFP_M227-M231 all-in-one

hp-check[1073]: info: :
hp-check[1073]: info: :--------------------------
hp-check[1073]: info: :| DISCOVERED USB DEVICES |
hp-check[1073]: info: :--------------------------
hp-check[1073]: info: :
hp-check[1073]: info: :No devices found.
hp-check[1073]: info: :
hp-check[1073]: info: :---------------------------------
hp-check[1073]: info: :| INSTALLED CUPS PRINTER QUEUES |
hp-check[1073]: info: :---------------------------------
hp-check[1073]: info: :
hp-check[1073]: info: :
hp-check[1073]: info: :HP_LaserJet_MFP_M227-M231
hp-check[1073]: info: :-------------------------
hp-check[1073]: info: :Type: Printer
hp-check[1073]: info: :Device URI: hp:/net/HP_LaserJet_MFP_M227-M231?ip=192.168.0.6
hp-check[1073]: info: :PPD: /etc/cups/ppd/HP_LaserJet_MFP_M227-M231.ppd
hp-check[1073]: info: :PPD Description: HP LaserJet Pro MFP M227-M231 Postscript (recommended)
hp-check[1073]: info: :Printer status: printer HP_LaserJet_MFP_M227-M231 is idle. enabled since Tue 24 Oct 2017 10:12:05 PM CEST
hp-check[1073]: info: :Communication status: Good
hp-check[1073]: info: :
hp-check[1073]: info: :
hp-check[1073]: info: :--------------
hp-check[1073]: info: :| PERMISSION |
hp-check[1073]: info: :--------------
hp-check[1073]: info: :
hp-check[1073]: info: :No errors or warnings.
hp-check[1073]: info: :
hp-check[1073]: info: :Done.

Afshan F (afshan) on 2017-11-30
Changed in hplip:
status: New → Fix Committed
Afshan F (afshan) on 2017-12-01
Changed in hplip:
status: Fix Committed → In Progress
Mantas Kriaučiūnas (mantas) wrote :

I've installed hplip version 3.17.7 (with libsane-hpaio, hplip-data and other needed libraries) on Ubuntu 16.04 from ppa:alindt/xenial-backports (default hplip 3.16.3 version from Ubuntu 16.04 doesn't support LaserJet MFP M227) and scanning started to work only after installing hp-plugin:

1. added HP LaserJet MFP M227sdn network printer with command "hp-setup -i", tried hp-scan command after hp-setup but without success:
error: SANE: Error during device I/O (code=9) is displayed in terminal

2. installed HP plugin with command:
 hp-plugin -i

After installing hp-plugin command hp-scan works fine :)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers